///////////////////////////////////////////////////////////
//  DumpMemory.h
//  Implementation of the Class DumpMemory
//  Created on:      14-2-2009 21:41:16
//  Original author: Ueno
///////////////////////////////////////////////////////////

#if !defined(EA_4BC3E517_412A_4c19_9D00_9E0B9EE9DFB1__INCLUDED_)
#define EA_4BC3E517_412A_4c19_9D00_9E0B9EE9DFB1__INCLUDED_

#include "UI/CommandInterpreter/Command.h"

namespace Application
{
	namespace Tibi8Monitor
	{
		/**
		 * @author Ueno
		 * @version 1.0
		 * @created 14-2-2009 21:41:16
		 */
		class DumpMemory : public UI::CommandInterpreter::Command
		{

		public:
			DumpMemory();
			virtual ~DumpMemory();

			/**
			 * 
			 * @param command
			 */
			bool check(const Common::BasicType::Bytes* command);
			/**
			 * 
			 * @param com
			 * @param command
			 */
			void execute(Unit::Communication::Com* com, Common::BasicType::Bytes* command);

		private:
			void dumpTable(Unit::Communication::Com* com,Common::TypeDef::UOneByte * adr,Common::TypeDef::UTwoByte size);

		};

	}

}
#endif // !defined(EA_4BC3E517_412A_4c19_9D00_9E0B9EE9DFB1__INCLUDED_)
