///////////////////////////////////////////////////////////
//  EraseRom.cpp
//  Implementation of the Class EraseRom
//  Created on:      29-12-2008 16:11:21
//  Original author: Ueno
///////////////////////////////////////////////////////////

#include "Application/Tibi8Monitor/EraseRom.h"
#include "Common/BasicType/util.h"
//#include "SCIBase.h"

using Application::Tibi8Monitor::EraseRom;


EraseRom::EraseRom(Unit::CPUBoard::CPUBoard* pCPUBoard):m_pCPUBoard(pCPUBoard){}
EraseRom::~EraseRom(){}

bool EraseRom::check(const Common::BasicType::Bytes* command){
	bool bRet=false;
	if(command->size()>=1)
	{
		if( ( (*command)[0]=='e') || ((*command)[0]=='E'))
		{
		bRet=true;
		}
	}
	return bRet;
}


void EraseRom::execute(Unit::Communication::Com* com,Common::BasicType::Bytes* command){
//	com->send(command,true);
	com->releaseReceptionBuffer(command);
	m_pCPUBoard->erase();
	com->sendPrompt();
}
