///////////////////////////////////////////////////////////
//  EraseRom.h
//  Implementation of the Class EraseRom
//  Created on:      29-12-2008 16:11:20
//  Original author: Ueno
///////////////////////////////////////////////////////////

#if !defined(EA_82F15E15_8A34_492f_8F6A_6D196DBCDBBA__INCLUDED_)
#define EA_82F15E15_8A34_492f_8F6A_6D196DBCDBBA__INCLUDED_

#include "UI/CommandInterpreter/Command.h"
#include "Unit/CPUBoard/CPUBoard.h"

namespace Application
{
	namespace Tibi8Monitor
	{
		/**
		 * @author Ueno
		 * @version 1.0
		 * @created 29-12-2008 16:11:20
		 */
		class EraseRom : public UI::CommandInterpreter::Command
		{

		public:
			EraseRom(Unit::CPUBoard::CPUBoard* pCPUBoard);
			virtual ~EraseRom();

			/**
			 * 
			 * @param command
			 */
			bool check(const Common::BasicType::Bytes* command);
			/**
			 * 
			 * @param com
			 * @param command
			 */
			void execute(Unit::Communication::Com* com, Common::BasicType::Bytes* command);
		private:
			Unit::CPUBoard::CPUBoard* m_pCPUBoard;
		};

	}

}
#endif // !defined(EA_82F15E15_8A34_492f_8F6A_6D196DBCDBBA__INCLUDED_)
