///////////////////////////////////////////////////////////
//  WriteRom.h
//  Implementation of the Class WriteRom
//  Created on:      29-12-2008 16:11:04
//  Original author: Ueno
///////////////////////////////////////////////////////////

#if !defined(ExceptionCommand_)
#define ExceptionCommand_

#include "UI/CommandInterpreter/Command.h"

namespace Application
{
	namespace Tibi8Monitor
	{
		/**
		 * @author Ueno
		 * @version 1.0
		 * @created 29-12-2008 16:11:04
		 */
		class ExceptionCommand : public UI::CommandInterpreter::Command
		{

		public:
			ExceptionCommand();
			virtual ~ExceptionCommand();

			/**
			 * 
			 * @param command
			 */
			bool check(const Common::BasicType::Bytes* command);
			/**
			 * 
			 * @param com
			 * @param command
			 */
			void execute(Unit::Communication::Com* com, Common::BasicType::Bytes* command);

		};

	}

}
#endif 
