///////////////////////////////////////////////////////////
//  ModifyMemory.cpp
//  Implementation of the Class ModifyMemory
//  Created on:      22-2-2009 11:30:15
//  Original author: Ueno
///////////////////////////////////////////////////////////

#include "Application/Tibi8Monitor/ModifyMemory.h"

using Application::Tibi8Monitor::ModifyMemory;


ModifyMemory::ModifyMemory(){}
ModifyMemory::~ModifyMemory(){}

bool ModifyMemory::check(const Common::BasicType::Bytes* command){
	bool bRet=false;
	if(command->size()>=1)
	{
		if( ( (*command)[0]=='m') || ((*command)[0]=='M'))
		{
		bRet=true;
		}
	}
	return bRet;
}


void ModifyMemory::execute(Unit::Communication::Com* com, Common::BasicType::Bytes* command){
	if(command->size() >=2)
	{
		Common::TypeDef::UFourByte delimiterPos;
		command->cutTheFront(2);
		Common::BasicType::Bytes adrData(*command);
		delimiterPos=adrData.find(' ');
		if(delimiterPos != 0xffffU)
		{
			Common::TypeDef::UFourByte adr;
			adrData.cutTheBack(delimiterPos);
			if(adrData.hexToValue(adr)==true)
			{
				Common::TypeDef::UFourByte value;
				command->cutTheFront(delimiterPos+1);
				if(command->hexToValue(value)==true)
				{
					Common::TypeDef::UOneByte *p;
					p=(Common::TypeDef::UOneByte *)adr;
					*p=value;
				}
			}
		}
	}
	com->releaseReceptionBuffer(command);
	com->sendPrompt();
}
