///////////////////////////////////////////////////////////
//  SystemFactory.h
//  Implementation of the Class SystemFactory
//  Created on:      23-12-2008 11:14:19
//  Original author: Ueno
///////////////////////////////////////////////////////////

#if !defined(EA_2CA56CE5_A920_4d6c_A5A3_DD1A03FF2496__INCLUDED_)
#define EA_2CA56CE5_A920_4d6c_A5A3_DD1A03FF2496__INCLUDED_
#include "Common/ClassType/Uncopyable.h"

namespace Application
{
	namespace Tibi8Monitor
	{
		/**
		 * @author Ueno
		 * @version 1.0
		 * @created 23-12-2008 11:14:19
		 */
#if defined(UNCOPYABLE)
		class SystemFactory : private Common::ClassType::Uncopyable
#else
		class SystemFactory
#endif
		{

		public:
			SystemFactory();
			virtual ~SystemFactory();
			void startup();
		};

	}

}
#endif // !defined(EA_2CA56CE5_A920_4d6c_A5A3_DD1A03FF2496__INCLUDED_)
