///////////////////////////////////////////////////////////
//  WriteRom.h
//  Implementation of the Class WriteRom
//  Created on:      29-12-2008 16:11:04
//  Original author: Ueno
///////////////////////////////////////////////////////////

#if !defined(EA_C7E1ACF7_5848_424d_9F64_71D18F23A969__INCLUDED_)
#define EA_C7E1ACF7_5848_424d_9F64_71D18F23A969__INCLUDED_

#include "UI/CommandInterpreter/Command.h"
#include "Common/Util/SFormat.h"
#include "Unit/CPUBoard/CPUBoard.h"

namespace Application
{
	namespace Tibi8Monitor
	{
		/**
		 * @author Ueno
		 * @version 1.0
		 * @created 29-12-2008 16:11:04
		 */
		class WriteRom : public UI::CommandInterpreter::Command
		{

		public:
			explicit WriteRom(Unit::CPUBoard::CPUBoard* pCPUBoard);
			virtual ~WriteRom();

			/**
			 * 
			 * @param command
			 */
			bool check(const Common::BasicType::Bytes* command);
			/**
			 * 
			 * @param com
			 * @param command
			 */
			void execute(Unit::Communication::Com* com, Common::BasicType::Bytes* command);
		private:
			Common::Util::SFormat m_SFormat;
			Unit::CPUBoard::CPUBoard* m_pCPUBoard;

			void receiveEnd(Unit::Communication::Com* com,char *msg,Common::BasicType::Bytes* command);
			void program();
		};

	}

}
#endif // !defined(EA_C7E1ACF7_5848_424d_9F64_71D18F23A969__INCLUDED_)
